Package org.apache.sysds.runtime.controlprogram.federated

# Class FederatedWorkloadAnalyzer

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.FederatedWorkloadAnalyzer

public class FederatedWorkloadAnalyzer extends Object

## Constructor Summary

Constructors
Constructor
Description
`FederatedWorkloadAnalyzer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`compressRun(ExecutionContext ec, long tid)`
`void`
`incrementWorkload(ExecutionContext ec, long tid, Instruction ins)`
`void`
`incrementWorkload(ExecutionContext ec, ConcurrentHashMap<Long,InstructionTypeCounter> mm, ComputationCPInstruction cpIns)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FederatedWorkloadAnalyzer

public FederatedWorkloadAnalyzer()

## Method Details

### incrementWorkload

public void incrementWorkload(ExecutionContext ec, long tid, Instruction ins)

### compressRun

public void compressRun(ExecutionContext ec, long tid)

### incrementWorkload

public void incrementWorkload(ExecutionContext ec, ConcurrentHashMap<Long,InstructionTypeCounter> mm, ComputationCPInstruction cpIns)

### toString

public String toString()

Overrides:
  `toString` in class `Object`